// src/multilingual-genericconverter-v1-entity-mapper-entity-mapper.universal.ts
import { transformError as sdkTransformError } from "@wix/sdk-runtime/transform-error";
import { renameKeysFromSDKRequestToRESTRequest } from "@wix/sdk-runtime/rename-all-nested-keys";

// src/multilingual-genericconverter-v1-entity-mapper-entity-mapper.http.ts
import { toURLSearchParams } from "@wix/sdk-runtime/rest-modules";
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveWixMultilingualEditoradapterV1EditorAdapterUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/_api/editoradapter/v1/component-mapper",
        destPath: "/v1"
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_multilingual_entity-mapper";
function syncEditorData(payload) {
  function __syncEditorData({ host }) {
    const metadata = {
      entityFqdn: "wix.multilingual.genericconverter.v1.entity_mapper",
      method: "GET",
      methodFqn: "wix.multilingual.editoradapter.v1.EditorAdapter.SyncEditorData",
      packageName: PACKAGE_NAME,
      url: resolveWixMultilingualEditoradapterV1EditorAdapterUrl({
        protoPath: "/v1/pull_data",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload)
    };
    return metadata;
  }
  return __syncEditorData;
}

// src/multilingual-genericconverter-v1-entity-mapper-entity-mapper.universal.ts
var FieldType = /* @__PURE__ */ ((FieldType2) => {
  FieldType2["UNDEFINED_TYPE"] = "UNDEFINED_TYPE";
  FieldType2["SHORT_TEXT"] = "SHORT_TEXT";
  FieldType2["LONG_TEXT"] = "LONG_TEXT";
  FieldType2["RICH_TEXT"] = "RICH_TEXT";
  FieldType2["RICH_CONTENT_EDITOR"] = "RICH_CONTENT_EDITOR";
  FieldType2["SELECTION"] = "SELECTION";
  FieldType2["MULTI_SELECTION"] = "MULTI_SELECTION";
  FieldType2["DOCUMENT"] = "DOCUMENT";
  FieldType2["IMAGE"] = "IMAGE";
  FieldType2["VIDEO"] = "VIDEO";
  FieldType2["IMAGE_LINK"] = "IMAGE_LINK";
  return FieldType2;
})(FieldType || {});
var WebhookIdentityType = /* @__PURE__ */ ((WebhookIdentityType2) => {
  WebhookIdentityType2["UNKNOWN"] = "UNKNOWN";
  WebhookIdentityType2["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
  WebhookIdentityType2["MEMBER"] = "MEMBER";
  WebhookIdentityType2["WIX_USER"] = "WIX_USER";
  WebhookIdentityType2["APP"] = "APP";
  return WebhookIdentityType2;
})(WebhookIdentityType || {});
async function syncEditorData2(options) {
  const { httpClient, sideEffects } = arguments[1];
  const payload = renameKeysFromSDKRequestToRESTRequest({
    syncFilter: options?.syncFilter
  });
  const reqOpts = syncEditorData(
    payload
  );
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
  } catch (err) {
    const transformedError = sdkTransformError(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: { syncFilter: "$[0].syncFilter" },
        singleArgumentUnchanged: false
      },
      ["options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
export {
  FieldType,
  WebhookIdentityType,
  syncEditorData2 as syncEditorData
};
//# sourceMappingURL=index.typings.mjs.map