"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// index.ts
var index_exports = {};
__export(index_exports, {
  FieldType: () => FieldType,
  WebhookIdentityType: () => WebhookIdentityType,
  syncEditorData: () => syncEditorData4
});
module.exports = __toCommonJS(index_exports);

// src/multilingual-genericconverter-v1-entity-mapper-entity-mapper.universal.ts
var import_transform_error = require("@wix/sdk-runtime/transform-error");
var import_rename_all_nested_keys = require("@wix/sdk-runtime/rename-all-nested-keys");

// src/multilingual-genericconverter-v1-entity-mapper-entity-mapper.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveWixMultilingualEditoradapterV1EditorAdapterUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/_api/editoradapter/v1/component-mapper",
        destPath: "/v1"
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_multilingual_entity-mapper";
function syncEditorData(payload) {
  function __syncEditorData({ host }) {
    const metadata = {
      entityFqdn: "wix.multilingual.genericconverter.v1.entity_mapper",
      method: "GET",
      methodFqn: "wix.multilingual.editoradapter.v1.EditorAdapter.SyncEditorData",
      packageName: PACKAGE_NAME,
      url: resolveWixMultilingualEditoradapterV1EditorAdapterUrl({
        protoPath: "/v1/pull_data",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload)
    };
    return metadata;
  }
  return __syncEditorData;
}

// src/multilingual-genericconverter-v1-entity-mapper-entity-mapper.universal.ts
var FieldType = /* @__PURE__ */ ((FieldType2) => {
  FieldType2["UNDEFINED_TYPE"] = "UNDEFINED_TYPE";
  FieldType2["SHORT_TEXT"] = "SHORT_TEXT";
  FieldType2["LONG_TEXT"] = "LONG_TEXT";
  FieldType2["RICH_TEXT"] = "RICH_TEXT";
  FieldType2["RICH_CONTENT_EDITOR"] = "RICH_CONTENT_EDITOR";
  FieldType2["SELECTION"] = "SELECTION";
  FieldType2["MULTI_SELECTION"] = "MULTI_SELECTION";
  FieldType2["DOCUMENT"] = "DOCUMENT";
  FieldType2["IMAGE"] = "IMAGE";
  FieldType2["VIDEO"] = "VIDEO";
  FieldType2["IMAGE_LINK"] = "IMAGE_LINK";
  return FieldType2;
})(FieldType || {});
var WebhookIdentityType = /* @__PURE__ */ ((WebhookIdentityType2) => {
  WebhookIdentityType2["UNKNOWN"] = "UNKNOWN";
  WebhookIdentityType2["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
  WebhookIdentityType2["MEMBER"] = "MEMBER";
  WebhookIdentityType2["WIX_USER"] = "WIX_USER";
  WebhookIdentityType2["APP"] = "APP";
  return WebhookIdentityType2;
})(WebhookIdentityType || {});
async function syncEditorData2(options) {
  const { httpClient, sideEffects } = arguments[1];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
    syncFilter: options?.syncFilter
  });
  const reqOpts = syncEditorData(
    payload
  );
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: { syncFilter: "$[0].syncFilter" },
        singleArgumentUnchanged: false
      },
      ["options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}

// src/multilingual-genericconverter-v1-entity-mapper-entity-mapper.public.ts
function syncEditorData3(httpClient) {
  return (options) => syncEditorData2(
    options,
    // @ts-ignore
    { httpClient }
  );
}

// src/multilingual-genericconverter-v1-entity-mapper-entity-mapper.context.ts
var import_rest_modules3 = require("@wix/sdk-runtime/rest-modules");
var syncEditorData4 = /* @__PURE__ */ (0, import_rest_modules3.createRESTModule)(syncEditorData3);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  FieldType,
  WebhookIdentityType,
  syncEditorData
});
//# sourceMappingURL=index.js.map