import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { SyncEditorDataOptions } from './index.typings.mjs';
export { ActionEvent, ChangedPages, CreateOrUpdateEditorMapperRequest, CreateOrUpdateEditorMapperResponse, CreateOrUpdateNileMapperRequest, CreateOrUpdateNileMapperResponse, DeleteEntityMapperRequest, DeleteEntityMapperResponse, DeleteMapperRequest, DeleteMapperResponse, DomainEvent, DomainEventBodyOneOf, Empty, EntityCreatedEvent, EntityDeletedEvent, EntityUpdatedEvent, FieldType, GetEntityMapperRequest, GetEntityMapperResponse, GetMapperRequest, GetMapperResponse, GetSubscribedTopicsRequest, GetSubscribedTopicsResponse, HtmlNewRevisionSavedMessage, IdentificationData, IdentificationDataIdOneOf, ListEntityMapperRequest, ListEntityMapperResponse, ListMappersRequest, ListMappersResponse, Mapper, MapperField, MessageEnvelope, Page, PublishSiteTranslationsRequest, PublishSiteTranslationsResponse, RestoreInfo, RevisionInfo, SequencePath, SyncEditorDataRequest, SyncEditorDataResponse, SyncFilter, WebhookIdentityType } from './index.typings.mjs';

declare function syncEditorData$1(httpClient: HttpClient): SyncEditorDataSignature;
interface SyncEditorDataSignature {
    /**
     * Update localization content with editor data
     */
    (options?: SyncEditorDataOptions): Promise<void>;
}

declare const syncEditorData: MaybeContext<BuildRESTFunction<typeof syncEditorData$1> & typeof syncEditorData$1>;

export { SyncEditorDataOptions, syncEditorData };
